body {
    margin: 0;
    font-family: Arial, Arial, Helvetica, sans-serif;
}

div {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
    grid-template-areas: 
        "header"
        "main"
        "footer";
    height: 100vh;
}

header {
    grid-area: header;
    background-color: #21A2E3;
    color: white;
    text-align: center;
    padding: 1rem;
}

main {
    display: flex;
    flex-direction: row;
    grid-area: main;
}

section {
    flex-grow: 2;
    background-color: #f2f2f2;
    padding: 1em;
}

aside {
    flex-grow: 1;
    background-color: #ddd;
    padding: 1rem;
}

footer {
    grid-area: footer;
    background-color: #000000;
    color: whitesmoke;
    text-align: center;
    padding: 1rem;
    border: 2px black solid;
    color: whitesmoke;
}


/* Media Query för skärmar smalare än 600px */
@media screen and (max-width: 600px) {
    main {
        flex-direction: column-reverse; /* Ändra ordningen för flex-items */
    }
    aside{
        max-height: 60px;
    }
}